$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on("blur", '.qty', autoaddrow);
    $("body").on("change", '.item', getItemDt);
    $("body").on("change blur", '.vouchdt', ChkvouchdtDupli);
    
    function ChkvouchdtDupli() {
        var vouchno = $('.vouchno').val(),
            vouchdt = $('.vouchdt').val();
        if (vouchdt) {
            $.get('check_vouchdtDupli.php', { vouchdt: vouchdt, vouchno: vouchno }, function(data) {
                if (parseFloat(data) > 0) {
                    $('.vouchdt').val("");
                    $('.vouchdt').focus();
                    alert(vouchdt + " This Date Stock Already Exists!");
                }
            });
        }
    }


    function getItemDt() {
        var tr = $(this).closest("tr");
        var item = tr.find(".item").val(); 

        $.post('getItemDt.php', { item: item}, function (data) {
            tr.find(".unit").val(data);
        });
    }

    function autoaddrow() {
        if ($(this).closest('tr').is(":last-child")) {
            AddRows();
        }
    }

    $('#addnew').click(function () {
        AddRows();
    });

    function remove() {
        $(this).closest("tr").remove();
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var focusFld = ".focusFld_" + ctr;
        var Detail = ".fetchpart_" + ctr;
        ctr++;
        $('#items').val(ctr);
        $.post('stkentry_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody');

            $(focusFld).focus();
            $(Detail).select2();
        });
    }

});